Java compiler level does not match the version of the installed Java project facet.解决方法

原创 2016年02月17日 12:59:54
从别的地方拿来的代码,因为环境不一样,打开总是会出现一些错误。当编译的时候出现Java compiler level does not match the version of the installed Java project facet.错误,可以在.settings目录找到org.eclipse.wst.common.project.facet.core.xml文件:
<?xml version="1.0" encoding="UTF-8"?>
<faceted-project>
  <runtime name="Apache Tomcat v6.0"/>
  <fixed facet="jst.web"/>
  <fixed facet="jst.java"/>
  <installed facet="jst.web" version="2.5"/>
  <installed facet="wst.jsdt.web" version="1.0"/>
  <installed facet="jst.java" version="1.6"/>
</faceted-project>
把<installed facet="jst.java" version="1.6"/>里的version版本修改为指定版本

版权声明:本文为博主原创文章,未经博主允许不得转载。

解决java compiler level does not match the version of the installed java project facet

java compiler level does not match the version of the installed java project facet错误的解决因工作的关系,Eclips...
  • chszs
  • chszs
  • 2012年10月29日 20:21
  • 139067

Maven构建项目后项目报Error错误Java compiler level does not match the version of the installed Java project fac

项目->右键->Project Facets->修改facets中java版本(下拉箭头出)为要用的版本 Maven构建项目需注意 1.项目右键->Preferences->buildpath->jd...
  • Truong
  • Truong
  • 2013年12月08日 17:21
  • 3211

Java compiler level does not match解决方法

从别的地方导入一个项目的时候,经常会遇到eclipse/Myeclipse报Description  Resource Path Location Type Java compiler level d...
  • u012506661
  • u012506661
  • 2016年10月26日 10:04
  • 3408

Java compiler level does not match解决方法

1、先设置好jdk,需要确定 项目,eclipse/myeclipse,系统 用的是同一个版本的JDK,例如系统中安装的JDK是1.7,所以把eclipse的jdk成1.7   2、进入 ...
  • m0_37983376
  • m0_37983376
  • 2018年01月10日 09:40
  • 27

GOOD解决MyEclipse工具中java compiler level does not match the version of the installed java project facet

Java compiler level does not match the version of the installed java project facet错误的解决 因工作的关系,Ecl...
  • Baple
  • Baple
  • 2016年06月07日 10:35
  • 1108

Description Resource Path Location Type Java compiler level does not match the version of the in解决方法

今天使用maven的时候报这个错误 然后在网上查了,是jdk的版本不匹配, 可以修改如下几个地方解决方法 1:我使用的jdk是1.8windows—proferences—java–compile...
  • u013412790
  • u013412790
  • 2016年05月25日 21:11
  • 5126

Java compiler level does not match修改jdk版本

从别的地方导入一个项目的时候,经常会遇到eclipse/Myeclipse报Description  Resource Path Location Type Java compiler level d...
  • TOP__ONE
  • TOP__ONE
  • 2017年08月07日 10:05
  • 205

解决java compiler level does not match the version of the installed java project facet

http://love-love-l.blog.163.com/blog/static/2107830420135548354/
  • vicroad2014
  • vicroad2014
  • 2016年03月07日 07:07
  • 367

myeclipse工程有红叉,里面文件没错,提示Java compiler level does not match the version of the installed Java project

myeclipse工程有红叉,里面文件没错,提示:Java compiler level does not match the version of the installed Java projec...
  • washli2001
  • washli2001
  • 2014年03月11日 15:19
  • 902

Java入门到精通——调错篇之Eclipse Java compiler level dose not match the version of the installed Java project

一、错误现象。        java项目显示红色,并且类中引用包中会报红色错误,在Eclipse下面显示下面错误提示如图: 二、错误原因。        通过字面意思一看就很明白java的版本不...
  • gwblue
  • gwblue
  • 2014年12月23日 08:43
  • 1507
内容举报
返回顶部
收藏助手
不良信息举报
您举报文章:Java compiler level does not match the version of the installed Java project facet.解决方法
举报原因:
原因补充:

(最多只允许输入30个字)